Maven

- - Dernière réponse : esig
Messages postés
2
Date d'inscription
dimanche 13 mars 2016
Statut
Membre
Dernière intervention
13 mars 2016
- 13 mars 2016 à 22:50
Bonjour,
j'essaie de réaliser une application web avec le fromwork spring.
j'ai commencé par l'application simple , une page web qui affiche "boujour le monde"
mais j'ai une erreur sur le pom.xml la voici:
Missing artifact javax.servlet:servlet-api:jar:3.8.1.

pouvez vous m'aidez please c'est urgent.
Afficher la suite 

2 réponses

Messages postés
16034
Date d'inscription
samedi 31 mai 2008
Statut
Modérateur
Dernière intervention
13 octobre 2019
88
0
Merci
Bonjour,

La version 3.8.1 n'existe pas pour servlet-api.

Toutes les versions disponibles sont sur le Maven central :
g:"javax.servlet" AND a:"servlet-api"
g:"javax.servlet" AND a:"javax.servlet-api"

Remarque : comme son nom l'indique, servlet-api n'est qu'une API, il n'y a pas d'implémentation derrière, c'est le serveur Java qui va fournir la vraie implémentation, il va falloir s'aligner sur la version qu'il implémente...
Commenter la réponse de KX
Messages postés
2
Date d'inscription
dimanche 13 mars 2016
Statut
Membre
Dernière intervention
13 mars 2016
0
Merci
donc si je comprends bien le problème est du à la version?
si oui que puis-je faire pour résoudre ce problème parce que je suis dessus depuis ce matin mais je n'arrive pas à avancer. Si vous pouvez m'aidez please.
KX
Messages postés
16034
Date d'inscription
samedi 31 mai 2008
Statut
Modérateur
Dernière intervention
13 octobre 2019
88 -
Il suffit de prendre une autre version, celle de ton serveur...
esig
Messages postés
2
Date d'inscription
dimanche 13 mars 2016
Statut
Membre
Dernière intervention
13 mars 2016
-
oui ça marche merci vraiment.
Commenter la réponse de esig